Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathContextFactoryConfigurationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.commons.jxpath.JXPathContextFactoryConfigurationError

All Implemented Interfaces:
  Serializable

    public class JXPathContextFactoryConfigurationError

extends Error

Thrown when a problem with configuration with the `JXPathContextFactories` exists. This error will typically be thrown when the class of a factory specified in the system properties cannot be found or instantiated.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Constructor Summary
`JXPathContextFactoryConfigurationError()` Create a new `JXPathContextFactoryConfigurationError` with no detail mesage.
`JXPathContextFactoryConfigurationError(Exception e)` Create a new `JXPathContextFactoryConfigurationError` with a given `Exception` base cause of the error.
`JXPathContextFactoryConfigurationError(Exception e, String msg)` Create a new `JXPathContextFactoryConfigurationError` with the given `Exception` base cause and detail message.
`JXPathContextFactoryConfigurationError(String msg)` Create a new `JXPathContextFactoryConfigurationError` with the `String` specified as an error message.

Method Summary
`Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError()

  Create a new `JXPathContextFactoryConfigurationError` with no detail mesage.

### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError(String msg)

  Create a new `JXPathContextFactoryConfigurationError` with the `String` specified as an error message.

  Parameters:
    `msg` - The error message for the exception.

### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError(Exception e)

  Create a new `JXPathContextFactoryConfigurationError` with a given `Exception` base cause of the error.

  Parameters:
    `e` - The exception to be encapsulated in a JXPathContextFactoryConfigurationError.

### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError(Exception e,
                                                  String msg)

  Create a new `JXPathContextFactoryConfigurationError` with the given `Exception` base cause and detail message.

  Parameters:
    `e` - The exception to be encapsulated in a JXPathContextFactoryConfigurationError
    `msg` - The detail message.

Method Detail

### getMessage

    public String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error message.

### getException

    public Exception getException()

  Return the actual exception (if any) that caused this exception to be raised.

  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.